Package org.drinkless.tdlib

# Class TdApi.RemoveNotification

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.RemoveNotification

Enclosing class:
  `TdApi`

public static class TdApi.RemoveNotification extends TdApi.Function<TdApi.Ok>
Removes an active notification from notification list. Needs to be called only if the notification is removed by the current user.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `notificationGroupId`
  Identifier of notification group to which the notification belongs.
  `int`
  `notificationId`
  Identifier of removed notification.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemoveNotification()`
  Default constructor for a function, which removes an active notification from notification list.
  `RemoveNotification(int notificationGroupId, int notificationId)`
  Creates a function, which removes an active notification from notification list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### notificationGroupId

    public int notificationGroupId
    Identifier of notification group to which the notification belongs.

  - ### notificationId

    public int notificationId
    Identifier of removed notification.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RemoveNotification

    public RemoveNotification()
    Default constructor for a function, which removes an active notification from notification list. Needs to be called only if the notification is removed by the current user.

    Returns `Ok`

  - ### RemoveNotification

    public RemoveNotification(int notificationGroupId, int notificationId)
    Creates a function, which removes an active notification from notification list. Needs to be called only if the notification is removed by the current user.

    Returns `Ok`

    Parameters:
      `notificationGroupId` - Identifier of notification group to which the notification belongs.
      `notificationId` - Identifier of removed notification.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR